/*
 * Hello Button
 * 
 * This program turns on the LED of the board once the button is pressed.
 * 
 * Fab Academy 2020 - Fab Lab León
  Button + LED                           
  Adrianino
  ATtiny1614
*
  Original code:Neil Gershenfeld 12/8/19
  This work may be reproduced, modified, distributed,
  performed, and displayed for any purpose, but must
  acknowledge this project. Copyright is retained and
  must be preserved. The work is provided as is; no
  warranty is provided, and users accept all liability.
 * 
 * 
 */
//inicialization

const int bpin = 8; // the button pin is assigned to 8
const int ledpin = 9; // the led output pin is assigned to 9
bool bstate = 0; // initial state of the button (OFF)



void setup() {
  // put your setup code here, to run once:
  pinMode(bpin,INPUT); 
  pinMode(ledpin,OUTPUT);
}

void loop() {
  // put your main code here, to run repeatedly:
  bstate = digitalRead(bpin); //first we read the button. Is it on or off?
  if (bstate == HIGH) { // if we press the button...
    digitalWrite(ledpin, HIGH); //Led turns on for one second...
    delay(1000);
    digitalWrite(ledpin, LOW); //Led turns off for one second...
    delay(1000);
    digitalWrite(ledpin, HIGH); //Led turns on for one second...
    delay(1000);
    digitalWrite(ledpin, LOW); //Led turns off for one second...
  }
  
}




//const int ledPin1 = 8;//first light
//const int buttonPin = 10;// button pin
//int buttonState = 0;//initial state of the button
//int i = 0; //variable intensity led
//
//void setup() { //declaration of inputs and outputs
//  pinMode(ledPin1, OUTPUT);
//  pinMode(buttonPin, INPUT);
//}
//void loop() {
//  buttonState = digitalRead(buttonPin);// we read the state of the button
//  if (buttonState == HIGH) { //if we press the button
//  digitalWrite(ledPin1, HIGH);
//  delay(500);                       
//  digitalWrite(ledPin1, LOW);    
//  delay(500);
//  digitalWrite(ledPin1, HIGH);
//  delay(500);                       
//  digitalWrite(ledPin1, LOW);    
//  delay(500);
//  digitalWrite(ledPin1, HIGH);
//  delay(2000);                        
//  digitalWrite(ledPin1, LOW);    
//  delay(1000);
//  
//}
//  else {  //if we don't press the button
//  digitalWrite(ledPin1, LOW);
//  }
//}
