/*
  Blink C

  Turns a LED on for 0.5 second, then off for 0.5 second. Forever.

//PINx_bm is a flag for 1
//~PINx_bm is a flag for 0
//you can also use directly (check if it is ok)
//PORTA.DIR = 0b00000010; //PA1 as output
*/

//link section
#define F_CPU 3333333 // -> equals the frequency divided by 6 20Mhz/6=3333333.333
#include <avr/io.h> // includes input/output library from AVR
#include <util/delay.h> // includes a delay function


// global declaration section


//main function

int main(void)
{
  PORTA.DIR = PORTA.DIR | PIN2_bm; // PIN PA2 as output
  while (1) // infinite loop
  {
    PORTA.OUT = PORTA.OUT | PIN2_bm; // turns on LED
    _delay_ms(500);
    PORTA.OUT = PORTA.OUT & ~PIN2_bm; // turns off LED
    _delay_ms(500);
  }
}
