/*
  C hello button

  Turns a LED on for 0.5 second 2 times if the button is pressed.

//PINx_bm is a flag for 1
//~PINx_bm is a flag for 0
*/


#define F_CPU 3333333
#include <avr/io.h>
#include <avr/delay.h>

//link section

//main function

int main(void) {
  PORTA.DIR = PORTA.DIR | PIN2_bm; //sets PA2 as output
  //PORTA.DIR = PORTA.DIR & ~PIN1_bm; //sets PA1 as input
  // the button is connected to PA1 is set as input by default so no need to declare it ;)
  while(1) {
    if (PORTA.IN & PIN1_bm) { //PA1 is HIGH or LOW? IF IT IS HIGH THEN
      PORTA.OUT = PORTA.OUT | PIN2_bm; // turns on LED
      _delay_ms(250);
      PORTA.OUT = PORTA.OUT & ~PIN2_bm; // turns off LED
      _delay_ms(250);
      PORTA.OUT = PORTA.OUT | PIN2_bm; // turns on LED
      _delay_ms(250);
      PORTA.OUT = PORTA.OUT & ~PIN2_bm; // turns off LED
      _delay_ms(250);
     
    }
    else {} // else stays the same
    
  }

  
}
